Package com.sas.lsaf.execution.job

## Class Manifest

- java.lang.Object
- - com.sas.lsaf.execution.job.Manifest

- All Implemented Interfaces:
    `java.io.Serializable`

      public class Manifest
      extends java.lang.Object
      implements java.io.Serializable

  The client representation of a job manifest file.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `Manifest.ManifestType` | The manifest type that indicates whether the job was run as a published job in the repository or if it was run in the workspace.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Manifest​(ManifestFile manifest, ManifestJob job, JobSubmission jobSubmission, java.util.List<ManifestProgram> programs, java.util.List<ManifestInput> inputs, java.util.List<ManifestOutput> outputs, OutputFileSpec outputFileSpec, java.util.List<JobParameter> parameters, Manifest.ManifestType manifestType, java.util.List<ManifestSystemFile> logs, java.util.List<ManifestSystemFile> results, ManifestMetrics manifestMetrics, java.lang.Long totalExecutionTime, java.util.List<ManifestExternalReference> externalInputs, java.util.List<ManifestExternalReference> externalOutputs)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.util.List<ManifestExternalReference>` | `getExternalInputs()` | Gets the job inputs that are not found or are not accessible from the current user's repository or workspace.
    `java.util.List<ManifestExternalReference>` | `getExternalOutputs()` | Gets the job outputs that are not found or are not accessible from the current user's repository or workspace.
    `java.util.List<ManifestInput>` | `getInputs()` | Gets the job inputs at the time of the job submission.
    `ManifestJob` | `getJob()` | Gets the job information at the time of the job submission.
    `JobSubmission` | `getJobSubmission()` | Gets the job submission details at the time of the job submission.
    `java.util.List<ManifestSystemFile>` | `getLogs()` | Gets the log files that were generated by the job submission.
    `ManifestFile` | `getManifest()` | Gets the manifest information of the manifest file that is represented by this object.
    `ManifestMetrics` | `getManifestMetrics()` | Gets the manifest metrics that were captured for the job submission.
    `Manifest.ManifestType` | `getManifestType()` | Gets the type of the manifest file for the job submission: run in the workspace or in the repository.
    `OutputFileSpec` | `getOutputFileSpec()` | Gets the specification to create the outputs at the time of the job submission.
    `java.util.List<ManifestOutput>` | `getOutputs()` | Gets the job outputs that were saved in the workspace or repository.
    `java.util.List<JobParameter>` | `getParameters()` | Gets the parameters that were used at the time of the job submission.
    `java.util.List<ManifestProgram>` | `getPrograms()` | Gets the job programs at the time of the job submission.
    `java.util.List<ManifestSystemFile>` | `getResults()` | Gets the results files that were generated by the job submission.
    `java.lang.Long` | `getTotalExecutionTime()` | Gets the total execution time (in ms) for the job.
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Manifest

          public Manifest​(ManifestFile manifest,
                          ManifestJob job,
                          JobSubmission jobSubmission,
                          java.util.List<ManifestProgram> programs,
                          java.util.List<ManifestInput> inputs,
                          java.util.List<ManifestOutput> outputs,
                          OutputFileSpec outputFileSpec,
                          java.util.List<JobParameter> parameters,
                          Manifest.ManifestType manifestType,
                          java.util.List<ManifestSystemFile> logs,
                          java.util.List<ManifestSystemFile> results,
                          ManifestMetrics manifestMetrics,
                          java.lang.Long totalExecutionTime,
                          java.util.List<ManifestExternalReference> externalInputs,
                          java.util.List<ManifestExternalReference> externalOutputs)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the manifest returned by the API.
      Parameters:
        `manifest` - The manifest information about the manifest file.
        `job` - The job information at the time of the job submission.
        `jobSubmission` - The job submission details of the job submission.
        `programs` - The programs at the time of the job submission.
        `inputs` - The inputs at the time of the job submission.
        `outputs` - The outputs that were generated at the time of the job submission.
        `outputFileSpec` - The specification to create the outputs at the time of the job submission.
        `parameters` - The parameters that were used at the time of the job submission.
        `manifestType` - The type of the manifest file for the job submission: run in the workspace or in the repository.
        `logs` - The log files that were generated by the job submission.
        `results` - The results files that were generated by the job submission.
        `manifestMetrics` - The manifest metrics that were captured for the job submission.
        `totalExecutionTime` - The total execution time (in ms) for the job.
        `externalInputs` - The job inputs that are not found or are not accessible from the current user's repository or workspace.
        `externalOutputs` - The job outputs that re not found or are not accessible from the current user's repository or workspace.

  - ### Method Detail

    - #### getJobSubmission

          public JobSubmission getJobSubmission()

      Gets the job submission details at the time of the job submission.
      Returns:
        The job submission details.

    - #### getInputs

          public java.util.List<ManifestInput> getInputs()

      Gets the job inputs at the time of the job submission.
      Returns:
        The job inputs.

    - #### getExternalInputs

          public java.util.List<ManifestExternalReference> getExternalInputs()

      Gets the job inputs that are not found or are not accessible from the current user's repository or workspace.
      Returns:
        The job inputs that are not found or are not accessible from the current user's repository or workspace.

    - #### getOutputs

          public java.util.List<ManifestOutput> getOutputs()

      Gets the job outputs that were saved in the workspace or repository. These do not include external outputs that are not accessible from the workspace or repository. Use `getExternalOutputs()` to get external outputs.

      Note: Other than log and result files, if the `referencing program` is null, this indicates that the file location was defined as a `check-in location` on the job.

      Returns:
        The job outputs that were saved in the workspace or repository.

    - #### getExternalOutputs

          public java.util.List<ManifestExternalReference> getExternalOutputs()

      Gets the job outputs that are not found or are not accessible from the current user's repository or workspace.
      Returns:
        The job outputs that are not found or are not accessible from the current user's repository or workspace.

    - #### getParameters

          public java.util.List<JobParameter> getParameters()

      Gets the parameters that were used at the time of the job submission.
      Returns:
        The parameters that were used.

    - #### getOutputFileSpec

          public OutputFileSpec getOutputFileSpec()

      Gets the specification to create the outputs at the time of the job submission.
      Returns:
        The specification to create the outputs at the time of the job submission.

    - #### getManifestType

          public Manifest.ManifestType getManifestType()

      Gets the type of the manifest file for the job submission: run in the workspace or in the repository.
      Returns:
        The type of the manifest file for the job submission: run in the workspace or repository.

    - #### getPrograms

          public java.util.List<ManifestProgram> getPrograms()

      Gets the job programs at the time of the job submission.
      Returns:
        The job programs at the time of the job submission.

    - #### getLogs

          public java.util.List<ManifestSystemFile> getLogs()

      Gets the log files that were generated by the job submission.
      Returns:
        The log files.

    - #### getResults

          public java.util.List<ManifestSystemFile> getResults()

      Gets the results files that were generated by the job submission.
      Returns:
        The results files.

    - #### getManifest

          public ManifestFile getManifest()

      Gets the manifest information of the manifest file that is represented by this object.
      Returns:
        The manifest information of the manifest file that is represented by this object.

    - #### getJob

          public ManifestJob getJob()

      Gets the job information at the time of the job submission.
      Returns:
        The job information.

    - #### getManifestMetrics

          public ManifestMetrics getManifestMetrics()

      Gets the manifest metrics that were captured for the job submission.
      Returns:
        The manifest metrics that were captured for the job submission.

    - #### getTotalExecutionTime

          public java.lang.Long getTotalExecutionTime()

      Gets the total execution time (in ms) for the job.
      Returns:
        The total execution time (in ms).

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`